libidn 1.43

Macros | Functions
strerror-pr29.c File Reference
`#include "pr29.h"`
`#include "gettext.h"`

Go to the source code of this file.

## Macros
#define | _(String)

## Functions
const char * | pr29_strerror (Pr29_rc rc)

## Macro Definition Documentation

## ◆ _

#define _ | ( |  | String | ) |

Value:
dgettext (PACKAGE, String)

Definition at line 37 of file strerror-pr29.c.

## Function Documentation

## ◆ pr29_strerror()

const char * pr29_strerror | ( | Pr29_rc | rc | ) |

pr29_strerror:

Parameters

  rc | an Pr29_rc return code.

Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

PR29_SUCCESS: Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes. PR29_PROBLEM: A problem sequence was encountered. PR29_STRINGPREP_ERROR: The character set conversion failed (only for pr29_8z()).

Return value: Returns a pointer to a statically allocated string containing a description of the error with the return code @rc.

Definition at line 57 of file strerror-pr29.c.